/*
 * Client.h
 *
 *  Created on: 14.01.2011
 *      Author: gmueller
 */

#ifndef CLIENT_H_
#define CLIENT_H_

#include "Application.h"
#include "Schedule.h"
#include "oglfont.h"
#include "game.h"

class Client: public Application {
public:
	void initialize(Arguments &arg);
	void update();
	void shutdown();
private:
	double last_bomb; //TODO: use bomb schedule;
	int last_x, last_y;
	double phi, theta;
	double camX, camY, camZ;
	Schedule accelerate_schudule;
	int width, height;
	//TrueTyeFont font;
	oglf_font_t font;

	void prepareFrame(double rx, double ry, double rz);
	void accelerate(double x, double y, double z);
	void drop_bomb(double rx, double ry, double rz, double ttl);
	void loadConsoleFont();
};

#endif /* CLIENT_H_ */
